<!DOCTYPE html>
<html>
  <head>
    <title>DocSearch</title>
  </head>
  <body>
    <div class="container-fluid" id="form" *ngIf="showSearch">
      <div style="margin-top: 10px;">
        <img src="https://quggle.q-appliedai.com/assets/img/logo-3.svg" class="row justify-content-between img-fluid" >
      </div>
      <form #login="ngForm" (ngSubmit) = "onClick(login.value)">
        <div class="clearfix">
          <input autocomplete="on" type = "text" name = "data" placeholder = "query" ngModel class="form-control float-left">    
        </div>
      </form>
    </div>

    <div class="container">
      <div id="content">

        <!-- division to show the abstract of all the documents  -->
        <div *ngIf="show && !read">
          <div class="row" *ngFor="let x of data">
            <div class="col box" id="first">
              <h4>ABSTRACT</h4>
              <br>
              <h2>{{x["_source"]["documentheading"]}}</h2>
              <p id="full">{{x["_source"]["documentcontent"]}}.... <a class="link" (click) = "readMore(x._source.documentid)" style="color: blue;" >Read more </a></p>
            </div>
          </div>
        </div>

        <!-- division to show the full content of the document  -->
        <div  *ngIf="!show || read">
          <div class="row" id="first" *ngFor="let y of moreData">
            <div class="col">
              <h2>{{y["_source"]["documentheading"]}}</h2>
              <p id="full">{{y["_source"]["documentcontent"]}} </p>
              <a class="link" (click) = "readLess()" style="color: blue;">Back</a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>
